Hi,

I am trying to configure repmgr(replication manager) for performing automatic failover, but while its installation i am facing some problem which I am not able to resolve.

[root@localhost repmgr-3.1.1]# make USE_PGXS=1
gcc -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wendif-labels -Wmissing-format-attribute -Wformat-security -fno-strict-aliasing -fwrapv -DMAP_HUGETLB=0x40000 dbutils.o config.o repmgrd.o log.o strutil.o -L/opt/PostgreSQL/9.5/lib -lpgcommon -lpgport -L/opt/PostgreSQL/9.5/lib -lpq -L/opt/PostgreSQL/9.5/lib -L/opt/local/Current/lib -Wl,--as-needed -Wl,-rpath,'/opt/PostgreSQL/9.5/lib',--enable-new-dtags -lpgcommon -lpgport -lxslt -lxml2 -lpam -lssl -lcrypto -lgssapi_krb5 -lz -ledit -lrt -lcrypt -ldl -lm -o repmgrd
/usr/bin/ld: warning: libssl.so.1.0.0, needed by /opt/PostgreSQL/9.5/lib/libpq.so, may conflict with libssl.so.10
/usr/lib/gcc/i686-redhat-linux/4.4.7/../../../libgssapi_krb5.so: undefined reference to `krb5int_buf_add@krb5support_0_MIT'
/usr/lib/gcc/i686-redhat-linux/4.4.7/../../../libgssapi_krb5.so: undefined reference to `krb5int_buf_init_dynamic@krb5support_0_MIT'
/usr/lib/gcc/i686-redhat-linux/4.4.7/../../../libgssapi_krb5.so: undefined reference to `krb5int_buf_add_fmt@krb5support_0_MIT'
/usr/lib/gcc/i686-redhat-linux/4.4.7/../../../libgssapi_krb5.so: undefined reference to `krb5int_buf_len@krb5support_0_MIT'
/usr/lib/gcc/i686-redhat-linux/4.4.7/../../../libgssapi_krb5.so: undefined reference to `krb5int_buf_data@krb5support_0_MIT'
collect2: ld returned 1 exit status
make: *** [repmgrd] Error 1


Though all the mandatory packages like gcc, postgresql‐devel, libxslt‐devel, pam‐devel, openssl‐devel, krb5‐devel
and libedit‐devel are installed.
Could anyone resolve this, as I am in need of invoking automatic failover in my server.

Thanks in Advance,
venky12345